import { AxiosInstance } from 'axios';
import { SchemaForm, RemoteSchemaForm, RemoteFormDesign, FormDesign } from '../components';
import { App } from 'vue';
import { anyObject, schemaType, formValuesType, contextType, formItemType, formItemsType, formElement, changeItemType, $globalType, iconSelectConfigType, templateDataType } from '../config/commonType';

type $optionsType = {
    request?: AxiosInstance;
    getSchema?: (schemaId: string) => Promise<schemaType>;
    elements?: {
        [key: string]: formElement;
    };
    iconSelectConfig?: iconSelectConfigType;
    customElements?: {
        [key: string]: formElement;
    };
};
declare const _default: {
    install: (app: App<Element>, options?: $optionsType) => void;
};
export default _default;
export { FormDesign, SchemaForm, RemoteSchemaForm, RemoteFormDesign };
export type { anyObject, schemaType, formValuesType, contextType, formItemType, formItemsType, formElement, changeItemType, $globalType, iconSelectConfigType, templateDataType };
